Skip to main content
GET
/
v2
/
customers
/
{customerId}
/
contacts
/
{customerContactId}
Get Customer Contact
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/contacts/{customerContactId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "department": "<string>",
  "honorific": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "phoneNumber": "<string>",
  "mobilePhoneNumber": "<string>",
  "emailAddress": "<string>",
  "fax": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the customer that the notes belong to. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

customerContactId
string<uuid>
required

The id of the customer contact.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the customer contact for the given id.

Model Class: CustomerContact

id
string<uuid>

The unique ID to identify a customer's main contact person.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

department
string

The contact person's department.

honorific
string

The contact person's form of address.

firstName
string

The contact person's first name.

lastName
string

The contact person's last name.

phoneNumber
string

The contact person's landline phone number.

mobilePhoneNumber
string

The contact person's mobile number.

emailAddress
string

The contact person's email address.

fax
string

The contact person's fax number.